OpenMPI 0.1.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Macros | Functions | Variables
base.h File Reference
`#include "orte_config.h"`
`#include "opal/mca/mca.h"`
`#include "opal/class/opal_object.h"`
`#include "opal/class/opal_list.h"`
`#include "orte/mca/ess/ess.h"`
`#include "orte/mca/notifier/notifier.h"`

Go to the source code of this file.

## Data Structures
struct | orte_notifier_base_selected_pair_t

## Macros
#define | orte_notifier_base_events_init() do {} while (0)
#define | orte_notifier_base_events_finalize() do {} while (0)

## Functions
| OBJ_CLASS_DECLARATION (orte_notifier_base_selected_pair_t)
ORTE_DECLSPEC int | orte_notifier_base_open (void)
| Function for finding and opening either all MCA components, or the one that was specifically requested via a MCA parameter.
ORTE_DECLSPEC int | orte_notifier_base_close (void)
ORTE_DECLSPEC int | orte_notifier_base_select (void)
| Function for selecting a set of components from all those that are available. More...
ORTE_DECLSPEC void | orte_notifier_log (orte_notifier_base_severity_t severity, int errcode, const char *msg,...)
ORTE_DECLSPEC void | orte_notifier_show_help (orte_notifier_base_severity_t severity, int errcode, const char *file, const char *topic,...)
ORTE_DECLSPEC void | orte_notifier_log_peer (orte_notifier_base_severity_t severity, int errcode, orte_process_name_t *peer_proc, const char *msg,...)
ORTE_DECLSPEC const char * | orte_notifier_base_sev2str (orte_notifier_base_severity_t severity)
ORTE_DECLSPEC char * | orte_notifier_base_peer_log (int errcode, orte_process_name_t *peer_proc, const char *msg, va_list ap)

## Variables
ORTE_DECLSPEC bool | orte_notifier_base_log_selected
ORTE_DECLSPEC bool | orte_notifier_base_help_selected
ORTE_DECLSPEC bool | orte_notifier_base_log_peer_selected
ORTE_DECLSPEC bool | orte_notifier_base_log_event_selected
ORTE_DECLSPEC opal_list_t | orte_notifier_log_selected_modules
ORTE_DECLSPEC opal_list_t | orte_notifier_help_selected_modules
ORTE_DECLSPEC opal_list_t | orte_notifier_log_peer_selected_modules
ORTE_DECLSPEC opal_list_t | orte_notifier_log_event_selected_modules
ORTE_DECLSPEC opal_list_t | orte_notifier_base_selected_modules
ORTE_DECLSPEC int | orte_notifier_base_output
ORTE_DECLSPEC orte_notifier_base_severity_t | orte_notifier_threshold_severity
ORTE_DECLSPEC opal_list_t | orte_notifier_base_components_available

## Function Documentation

ORTE_DECLSPEC int orte_notifier_base_select | ( | void |  | ) |

Function for selecting a set of components from all those that are available.

It is possible to select a subset of these components for any interface. The syntax is the following: [ -mca notifier <list0> ] [ -mca notifier_log <list1> ] [ -mca notifier_help <list2> ] [ -mca notifier_log_peer <list3> ] [ -mca notifier_log_event <list4> ] Rules: . <list0> empty means nothing selected . <list0> to <list4> = comma separated lists of component names . <list1> to <list4> may be one of: . subsets of <list0> . "none" keyword (means empty) . 1 of <list1> to <list4> empty means = <list0> Last point makes it possible to preserve the way it works today

Examples: 1) -mca notifier syslog,smtp –> syslog and smtp are selected for the log, show_help, log_peer and log_event interfaces. 2) -mca notifier_log syslog –> no interface is activated, no component is selected 3) -mca notifier syslog -mca notifier_help none -mca notifier_log_peer none -mca notifier_log_event none –> only the log interface is activated, with the syslog component 4) -mca notifier syslog,smtp,hnp -mca notifier_help syslog -mca notifier_log_peer smtp -mca notifier_log_event none –> the log interface is activated, with the syslog, smtp and hnp components the log_help interface is activated, with the syslog component the log_peer interface is activated, with the smtp component the log_event interface is not activated

References mca_base_component_2_0_0_t::mca_component_name, mca_base_component_2_0_0_t::mca_query_component, opal_list_get_end(), opal_list_get_first(), opal_list_get_next, and opal_output_verbose().

Referenced by orte_ess_base_orted_setup().